Skip to content
Install

List GitHub Deployments API records for a deployment

GET
/deployments/{id}/github-deployments
curl --request GET \
--url https://example.com/deployments/example/github-deployments \
--header 'Authorization: Bearer <token>'

Auth: authenticated (scope: read)

id
required
string

OK

Media typeapplication/json
Array<object>
object
commitSha
required
string
createdAt
required
string
deploymentId
required
string
environment
required
string
environmentUrl
string | null
githubDeploymentId
required
Any of:
string
id
required
string
logUrl
string | null
owner
required
string
ref
required
string
repo
required
string
status
required
string
updatedAt
required
string
key
additional properties

Example generated

[
{
"commitSha": "example",
"createdAt": "example",
"deploymentId": "example",
"environment": "example",
"environmentUrl": "example",
"githubDeploymentId": "example",
"id": "example",
"logUrl": "example",
"owner": "example",
"ref": "example",
"repo": "example",
"status": "example",
"updatedAt": "example"
}
]